Package org.apache.synapse.securevault.secret

# Class AbstractSecretCallbackHandler

java.lang.Object
org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler

All Implemented Interfaces:
  `SecretCallbackHandler`

Direct Known Subclasses:
  `HardCodedSecretCallbackHandler`, `JBossEncryptionSecretCallbackHandler`, `JlineSecretCallbackHandler`, `JMXSecretCallbackHandler`, `SecretManagerSecretCallbackHandler`, `SharedSecretCallbackHandler`

public abstract class AbstractSecretCallbackHandler extends Object implements SecretCallbackHandler
A Base SecretCallbackHandler This expose API to handle SingleSecretCallback and all other functionality is implemented by itself

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.commons.logging.Log`
  `log`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractSecretCallbackHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(SecretCallback[] secretCallbacks)`
  Retrieve the secrets requested in the provided SecretCallbacks.
  `protected abstract void`
  `handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)`
  Handle A SingleSecretCallback - fill the secret

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected org.apache.commons.logging.Log log

- ## Constructor Details

  - ### AbstractSecretCallbackHandler

    protected AbstractSecretCallbackHandler()

- ## Method Details

  - ### handle

    public void handle(SecretCallback[] secretCallbacks)
    Description copied from interface: `SecretCallbackHandler`
    Retrieve the secrets requested in the provided SecretCallbacks.
    Specified by:
      `handle` in interface `SecretCallbackHandler`
    Parameters:
      `secretCallbacks` - secretCallbacks

  - ### handleSingleSecretCallback

    protected abstract void handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)
    Handle A SingleSecretCallback - fill the secret
    Parameters:
      `singleSecretCallback` - SingleSecretCallback instance